#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		desktop_vendor	Safe
#-----------------------------------------------------------------------------
Name		:	cogl
Version		:	1.22.8
Release		:	14.4.0.0%{?dist}
Summary		:	A modern 3D graphics API designed to expose the features of 3D graphics hardware.
Group		:	Applications/libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT, SGI, BSD
URL		:	http://ftp.gnome.org/pub/gnome/sources/cogl

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	gdk-pixbuf
BuildRequires	:	glu
BuildRequires	:	mesa
BuildRequires	:	pango
BuildRequires	:	gobject-introspection
BuildRequires	:	xorg-libXcomposite
BuildRequires	:	xorg-libXdamage
BuildRequires	:	xrandr

#-----------------------------------------------------------------------------
%description
Cogl is a small open source library for using 3D graphics hardware for
rendering. The API departs from the flat state machine style of OpenGL and is
designed to make it easy to write orthogonal components that can render without
stepping on each others toes.

As well as aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README ChangeLog
%{_includedir}/%{name}/*
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/examples-data/crate.jpg
#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-gles1					\
	--enable-gles2					\
	--enable-{kms,wayland,xlib}-egl-platform	\
	--enable-wayland-egl-server			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog

